import Api from "~/service/Api"
export default {
                onDitpButgetref(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/ditp_butgetref",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onAplpDet(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/aplp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onBenpDet(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/benp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onRevclauseButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/revclause_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLcrgodButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/lcrgod_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLcrdocButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/lcrdoc_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onAdlcndButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/adlcnd_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onInsbnkButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/insbnk_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onRmbpDet(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/rmbp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onDefdetButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/defdet_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onPreperButtxmsel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/preper_buttxmsel",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onSetmodDet(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/setmod_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaallButmisamt(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaall_butmisamt",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaallButmissig(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaall_butmissig",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onWrkpDet(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/wrkp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onOthpDet(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/othp_det",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLimptsGet1(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/limpts_get1",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLimptsGet2(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/limpts_get2",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLimmodTrycal(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/limmod_trycal",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaccvAdd(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaccv_add",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },
        onLiaccvDel(){
                this.$parent.$parent.$parent.$parent.$refs.modelForm.validate(async valid => {
                    if(!valid)
                        return;
                    let rtnmsg = await Api.post("ditopn/liaccv_del",{data:this.model})
                    if(rtnmsg.retcod == SUCCESS)
                    {
                        //TODO 处理数据逻辑

                    }
                    else
                    {
                       this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
                })
            },

}